summaryrefslogtreecommitdiff
path: root/hooks
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xhooks/pre-up/nix6
1 files changed, 6 insertions, 0 deletions
diff --git a/hooks/pre-up/nix b/hooks/pre-up/nix
new file mode 100755
index 0000000..84c077e
--- /dev/null
+++ b/hooks/pre-up/nix
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+if ! [ -x "$(command -v nix)" ]; then
+ sh <(curl -L https://nixos.org/nix/install) --no-daemon
+fi
+